OCAMLPROF(1)

NAME
ocamlprof - The Objective Caml profiler

SYNOPSIS
ocamlprof [ -f dump-file ] [ -F text ] filename ...

DESCRIPTION
The ocamlprof command prints execution counts gathered during the execution of a Objective Caml program instrumented with ocamlcp(1). It produces a source listing of the program modules given as arguments where execution counts have been inserted as comments. For instance,

ocamlprof foo.ml

prints the source code for the foo module, with comments indicating how many times the functions in this module have been called. Naturally, this information is accurate only if the source file has not been modified since the profiling execution took place.

OPTIONS

-f dumpfile
    Specifies an alternate dump file of profiling information. The default is the file ocamlprof.dump in the current directory.

-F string
    Specifies an additional string to be output with profiling information. By default, ocamlprof will annotate progams with comments of the form (* n *) where n is the counter value for a profiling point. With option -F string the annotation will be (* s n *)

SEE ALSO
ocamlcp(1).
The Objective Caml user's manual, chapter "Profiling".